Vehiculos API
Manage vehicle records including makes, models, images, and categories.Vehicle Object
Unique identifier for the vehicle (auto-generated primary key)
Vehicle license plate number (max 7 characters)
Foreign key reference to MarcasVehiculos (vehicle make)
Foreign key reference to ModelosVehiculos (vehicle model)
Year of manufacture
Vehicle category. Must be one of:
sedan- Sedansuv- SUVcamioneta- Pickup truckcamion- Truckbus- Bus
Vehicle color (max 20 characters)
Vehicle Images
Left side view photo (uploaded to media/)
Right side view photo (uploaded to media/)
Front view photo (uploaded to media/)
Rear/back view photo (uploaded to media/)
Roof/top view photo (uploaded to media/)
Relationships
Foreign key to Usuario (nullable)
Foreign key to Chofer/driver (nullable)
Foreign key to Cliente/client (nullable)
Vehicle status/state
GET /api/vehiculos
Retrieve a list of all vehicles.Query Parameters
Filter by vehicle category (sedan, suv, camioneta, camion, bus)
Filter by vehicle make ID
Filter by vehicle model ID
Filter by license plate
Filter by status
Response
POST /api/vehiculos
Create a new vehicle record.Request Body
Vehicle license plate (max 7 characters)
Vehicle make ID (references MarcasVehiculos)
Vehicle model ID (references ModelosVehiculos)
Year of manufacture
Vehicle category:
sedan, suv, camioneta, camion, or busVehicle color
Left side view photo
Right side view photo
Front view photo
Rear view photo
Roof view photo
Associated user ID (optional)
Associated driver ID (optional)
Associated client ID (optional)
Vehicle status
Request Example
Response
Vehicle Categories
The system supports five vehicle categories:| Value | Display Name | Description |
|---|---|---|
sedan | Sedan | Standard passenger car |
suv | SUV | Sport utility vehicle |
camioneta | Camioneta | Pickup truck |
camion | Camion | Large truck |
bus | Bus | Passenger bus |
Related Endpoints
- MarcasVehiculos - Vehicle makes/brands
- ModelosVehiculos - Vehicle models
- VehiculosAdmisiblesCampana - Campaign-eligible vehicles